Loading...
Searching...
No Matches
Caption.h File Reference

Header file for Caption effect class. More...

`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <QFont>`
`#include <QFontMetrics>`
`#include <QRegularExpression>`
`#include "../Color.h"`
`#include "../EffectBase.h"`
`#include "../Json.h"`
`#include "../KeyFrame.h"`

Go to the source code of this file.

## Classes

class | openshot::Caption
| This class adds captions/text over a video, based on timestamps. You can also animate some limited aspects, such as words appearing/disappearing. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for Caption effect class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Caption.h.